MessageEntry (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.service.impl.MessageEntry class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.service.impl
Class MessageEntry

    java.lang.Object
      org.codehaus.activemq.service.impl.MessageEntry

All Implemented Interfaces:
  Externalizable, Serializable

public class MessageEntry
extends Object
implements Externalizable

An entry for a message in a container

Version:
  $Revision: 1.3 $
See Also:
  Serialized Form

Constructor Summary
`MessageEntry()` Only used by serialisation
`MessageEntry(ActiveMQMessage msg)`

Method Summary
`boolean` | `equals(Object obj)` Tests equivalence with an other object
`ActiveMQMessage` | `getMessage()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageEntry

    public MessageEntry()

  Only used by serialisation

### MessageEntry

    public MessageEntry(ActiveMQMessage msg)

Method Detail

### getMessage

    public ActiveMQMessage getMessage()

  Returns:
    Returns the message.

### hashCode

    public int hashCode()

  Returns:
    a hashCode for this object

### equals

    public boolean equals(Object obj)

  Tests equivalence with an other object

  Parameters:
    `obj` - the object to test against
  Returns:
    true/false

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.